void PlotXS(int opt=0)
{
  gStyle->SetOptStat(0);
  TFile* file = new TFile("../xsec.root");

  TGraph* gFe[26], *gSi[14], *gO[8], *gC[6], *gB[5];
  for(int i=0; i<26; i++){
    gFe[i] = (TGraph*) file->Get(Form("Fe%d",i));
    gFe[i]->SetMarkerStyle(20);
    gFe[i]->SetMarkerSize(0.4);
  }
  for(int i=0; i<14; i++){
    gSi[i]= (TGraph*) file->Get(Form("Si%d",i));
    gSi[i]->SetMarkerStyle(20);
    gSi[i]->SetMarkerSize(0.3);
  }
  for(int i=0; i<8; i++){
    gO[i]= (TGraph*) file->Get(Form("O%d",i));
    gO[i]->SetMarkerStyle(20);
    gO[i]->SetMarkerSize(0.3);
  }
  for(int i=0; i<6; i++){
    gC[i]= (TGraph*) file->Get(Form("C%d",i));
    gC[i]->SetMarkerStyle(20);
    gC[i]->SetMarkerSize(0.3);
  }
  for(int i=0; i<5; i++){
    gB[i]= (TGraph*) file->Get(Form("B%d",i));
    gB[i]->SetMarkerStyle(20);
    gB[i]->SetMarkerSize(0.3);
  }

  string Element[30]={"","H","He","Li","Be","B","C","N","O","F","Ne","Na","Mg","Al","Si","P","S","Cl","Ar","K","Ca","Sc","V","Ti","Cr","Mn","Fe","Co","Ni"};

  /////////////////
  //Fe
  /////////////////
  TCanvas* c1 = new TCanvas("c1","Fe",700,700);
  c1->cd()->SetLogx();
  //c1->cd()->SetLogy();
  TH2F* h;
  if(opt==1) h = new TH2F("h","Fe #rightarrow ; E (MeV/n); #sigma (mb)",400, 90, 5.1e3,400,0, 2.0);
  else h = new TH2F("h","Fe #rightarrow ; E (MeV/n); #sigma (mb)",400, 90, 5.1e3,400,0, 170);
  h->Draw();
  for(int i=25; i>=14; i--){
    int col = 25-i+1;
    if(i==16) col = 14;
    gFe[i]->SetMarkerColor(col);  
    gFe[i]->Draw("P");
  }
  
  TLegend* leg = new TLegend(0.8,0.6,0.9,0.9,NULL,"brNDC");
  leg->SetBorderSize(1);
  leg->SetTextFont(42);
  leg->SetTextSize(0.03);
  leg->SetLineColor(1);
  leg->SetLineStyle(1);
  leg->SetLineWidth(1);
  leg->SetFillColor(0);
  leg->SetFillStyle(0);
  leg->SetMargin(0.1);
  TLegendEntry* entry;
  for(int i=25; i>=14; i--){
    entry = leg->AddEntry(Form("Fe%d",i), Form("%s",Element[i].c_str()),"p");
    entry->SetTextFont(42);
  }
  leg->Draw();

  /////////////////
  //Si
  /////////////////
  TCanvas* c2 = new TCanvas("c2","Si",700,700);
  c2->cd()->SetLogx();
  //c2->cd()->SetLogy();
  TH2F* h2;
  if(opt==1) h2 = new TH2F("h2","Si #rightarrow ; E (MeV/n); #sigma (mb)",400, 90, 5.1e3,400, 0, 1.5);
  else h2 = new TH2F("h2","Si #rightarrow ; E (MeV/n); #sigma (mb)",400, 90, 5.1e3,400, 0, 100);
  h2->Draw();
  for(int i=13; i>=5; i--){
    gSi[i]->SetMarkerColor(13-i+1);  
    gSi[i]->Draw("P");
  }
  
  TLegend* leg2 = new TLegend(0.8,0.6,0.9,0.9,NULL,"brNDC");
  leg2->SetBorderSize(1);
  leg2->SetTextFont(42);
  leg2->SetTextSize(0.03);
  leg2->SetLineColor(1);
  leg2->SetLineStyle(1);
  leg2->SetLineWidth(1);
  leg2->SetFillColor(0);
  leg2->SetFillStyle(0);
  leg2->SetMargin(0.1);
  TLegendEntry* entry2;
  for(int i=13; i>=5; i--){
    entry2 = leg2->AddEntry(Form("Si%d",i), Form("%s",Element[i].c_str()),"p");
    entry2->SetTextFont(42);
  }
  leg2->Draw();

  /////////////////
  //O
  /////////////////
  TCanvas* c3 = new TCanvas("c3","O",700,700);
  c3->cd()->SetLogx();
  //c3->cd()->SetLogy();
  TH2F* h3;
  if(opt==1)  h3 = new TH2F("h3","O #rightarrow ; E (MeV/n); #sigma (mb)",400, 90, 5.1e3,400,0,1.5);
  else h3 = new TH2F("h3","O #rightarrow ; E (MeV/n); #sigma (mb)",400, 90, 5.1e3,400,0,100);
  h3->Draw();
  for(int i=7; i>=4; i--){
    gO[i]->SetMarkerColor(7-i+1);  
    gO[i]->Draw("P");
  }
  
  TLegend* leg3 = new TLegend(0.8,0.6,0.9,0.9,NULL,"brNDC");
  leg3->SetBorderSize(1);
  leg3->SetTextFont(42);
  leg3->SetTextSize(0.03);
  leg3->SetLineColor(1);
  leg3->SetLineStyle(1);
  leg3->SetLineWidth(1);
  leg3->SetFillColor(0);
  leg3->SetFillStyle(0);
  leg3->SetMargin(0.1);
  TLegendEntry* entry3;
  for(int i=7; i>=4; i--){
    entry3 = leg3->AddEntry(Form("O%d",i), Form("%s",Element[i].c_str()),"p");
    entry3->SetTextFont(42);
  }
  leg3->Draw();

  /////////////////
  //C
  /////////////////
  TCanvas* c4 = new TCanvas("c4","C",700,700);
  c4->cd()->SetLogx();
  //c3->cd()->SetLogy();
  TH2F* h4;
  if(opt==1) h4 = new TH2F("h4","C #rightarrow ; E (MeV/n); #sigma (mb)",400, 90, 5.1e3,400,0,1.5);
  else h4 = new TH2F("h4","C #rightarrow ; E (MeV/n); #sigma (mb)",400, 90, 5.1e3,400,0,100);
  h4->Draw();
  for(int i=5; i>=4; i--){
    gC[i]->SetMarkerColor(7-i+1);  
    gC[i]->Draw("P");
  }
  
  TLegend* leg4 = new TLegend(0.8,0.6,0.9,0.9,NULL,"brNDC");
  leg4->SetBorderSize(1);
  leg4->SetTextFont(42);
  leg4->SetTextSize(0.03);
  leg4->SetLineColor(1);
  leg4->SetLineStyle(1);
  leg4->SetLineWidth(1);
  leg4->SetFillColor(0);
  leg4->SetFillStyle(0);
  leg4->SetMargin(0.1);
  TLegendEntry* entry4;
  for(int i=5; i>=4; i--){
    entry4 = leg4->AddEntry(Form("C%d",i), Form("%s",Element[i].c_str()),"p");
    entry4->SetTextFont(42);
  }
  leg4->Draw();
}
